ACPITOOL(1)

NAME
acpitool - a Linux ACPI client, allowing you to query or set ACPI values

SYNOPSIS
acpitool [ -aAbBcefFhjlmnosStTvVwWz ]

DESCRIPTION
acpitool is a Linux ACPI client. It simply reads /proc/acpi or /sys/class entries and presents the output in a meaningfull, human-readable format.
It provides a.o. information on battery status, AC adapter presence, thermal reading, etc. This command is most useful on laptops with an ACPI compliant BIOS and a Linux kernel, preferably from the 2.6 series, with ACPI enabled.
Acpitool also allows the machine to be put into standby, if your laptop supports it.
If your laptop is a Toshiba , it allows you to set the LCD brighness level and toggle the fan on/off.
If you have an Asus laptop, it can also set the LCD brightness level, switch the LCD panel on or off, and control the mail led and wireless led. If you have an IBM Thinkpad laptop, it can once again set the LCD brightness level, and also eject the ultrabay device.

OPTIONS

-a, --ac_adapter
    Show AC adapter presence

-A  Show supported Asus ACPI extensions (LCD brightness level, video out routing DSDT/acpi4asus info)

-b  Show battery status information, available batteries only.

-B, --battery
    Show detailed battery status information, for all battery entries found.

-c, --cpu
    Show CPU information (type, speed, PM capabilities, throttling states, c-state usage, frequency scaling).

-e  Show just about everything : more info on the batteries, ACPI version, kernel version, CPU, . . .

-f, --fan
    Show fan status (shows fan info specific to Toshiba or IBM Thinkpad, if applicable).

-F x
    Force the fan on (x=1) or switch back to auto mode (x=0). Works only on Toshiba laptops. The fan is switched off ONLY if it was forced on first, not if it was switched on automatically. Requires write access to /proc/acpi/toshiba/fan

-h, --help
    Show help text.

-j  Eject Thinkpad ultrabay device. Requires write acces to /proc/acpi/ibm/bay

-l x
    Set LCD brightness level to x, where x is in the range 0..7. Works only on Toshiba and IBM Thinkpad laptops. Requires write access to /proc/acpi/tochiba/lcd or /proc/acpi/ibm/brightness
    Illegal values for x will result in the value being set to either 0 or 7.

-m x
    Switch the mail led on (x=1) or off (x=0). Works only on Asus laptops. Requires write access to /proc/acpi/asus/mled

-n x
    Switch the wireless led on (x=1) or off (x=0). Works only on Asus laptops. Requires write access to /proc/acpi/asus/wled

-o x
    Switch the LCD panel on (x=1) or off (x=0). Works only on Asus laptops. Requires write access to /proc/acpi/asus/lcd

-s, --suspend to memory
    Put the machine into sleep state S3, if possible. Requires write access to /proc/acpi/sleep (kernel 2.4.x) or /sys/power/state (kernel 2.6.x)

-S, --suspend to disk ?
    Put the machine into sleep state S4, if possible. Requires write access to /proc/acpi/sleep (kernel 2.4.x) or /sys/power/state (kernel 2.6.x)

-t, --thermal
    Show thermal zone(s) information, including trip_points.

-T, --Toshiba
    Show supported Toshiba ACPI extensions, currently being LCD brightness level, video out routing (what display is the video chip sending to) and fan status (on/off, forced or not).

-v  Show more verbose output when something is not found. Makes sense only when used together with other options.

-V, --version
    Show acpitool version number and release date, then exit.

-w  Show the wakeup capable devices. (Available since ACPI 20040715, check your version).

-W x
    Enable/disable wakeup capable device x. Run 'acpitool -w' to see valid numbers for x. Requires write access to /proc/acpi/wakeup

-z x
    Set Asus LCD brightness level to x, where x is 0..15. Works only on Asus laptops. Requires write access to /proc/acpi/asus/brn

REMARKS
This program absolutely requires a Linux kernel with ACPI support enabled. This program will not work without it.
IBM Thinkpad support is part of the Linux kernel since kernel 2.6.10.
Don't blame me if acpitool can't suspend your laptop : there are quite some problematic laptops out there. Check the acpi-bugzilla list if you don't believe me ;)
Note that some options, like -F, -l , -j, -s, -W and -z, require write access to some of the /proc/acpi entries. This requires acpitool either to be run as root or either administrative measures must be taken, most likely by root, to allow ordinary users to write to these files. Creating a group for ACPI users and setting permissions accordingly comes to mind.
Also note that older laptops (< 2000) often simply don't have ACPI support, they usually support APM only.

BUGS
Let me know if you think you found one.

FILES
/proc/acpi/...
/proc/acpi/toshiba
/proc/acpi/asus
/proc/acpi/ibm
/sys/power/state

HOMEPAGE
http://freeunix.dyndns.org:8000/site2/acpitool.shtml

AUTHOR
This program is written and maintained by David Leemans (davidleemans |at| scarlet |dot| be) and may be freely distributed under the terms of the GNU General Public License. There is ABSOLUTELY NO WARRANTY for this program.